dbplus_close
dbplus_errcode
DB++ Functions
PHP Manual

# dbplus_curr

(PHP 4 <= 4.1.0, PECL dbplus >= 0.9)

dbplus_curr — Get current tuple from relation

### Description

int dbplus_curr ( resource `$relation` , array `&$tuple` )

Reads the data for the current tuple for the given `relation`.

### Parameters

`relation`

  A relation opened by dbplus_open().

`tuple`

  The data will be passed back in this parameter, as an associative array.

### Return Values

The function will return zero (aka. `DBPLUS_ERR_NOERR`) on success or a db++ error code on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- dbplus_first() - Get first tuple from relation
- dbplus_prev() - Get previous tuple from relation
- dbplus_next() - Get next tuple from relation
- dbplus_last() - Get last tuple from relation
- dbplus_errcode() - Get error string for given errorcode or last error

dbplus_close
dbplus_errcode
DB++ Functions
PHP Manual